#include "strtmenu.h"

/*	This is some convenience code. It
	provides the DM logo in the background,
	draws transparent groupbox controls,
	localizes the text and the colours of the
	controls using the DM registry system.
	It gives you some registry helper functions
	for you to use in your program. It handles 
	the code for the help button and context help.
*/

LoadRegType LoadReg;
SaveRegType SaveReg;
DelRegType DelReg;
DoDefaultPrefsDialogType DoDefaultPrefsDialog;

HMODULE startmenulib = NULL;

bool LoadStartMenuLib(void)
{
	HINSTANCE lib;
	int i = 1;
	bool ret = false;

	startmenulib = NULL;

	if ((lib = LoadLibrary("strtmenu.dll")) &&
		(LoadReg =	(LoadRegType) GetProcAddress(lib, "LoadReg"))	&&
		(SaveReg = (SaveRegType) GetProcAddress(lib, "SaveReg"))	&&
		(DelReg = (DelRegType) GetProcAddress(lib, "DelReg"))		&&
		(DoDefaultPrefsDialog = (DoDefaultPrefsDialogType) GetProcAddress(lib, "DoDefaultPrefsDialog"))
		)
	{
		startmenulib = lib;
		ret = true;
	}
	else if (lib)
		FreeLibrary(lib);

	return ret;
}

void ReleaseStartMenuLib(void)
{
	if (startmenulib)
	{
		FreeLibrary(startmenulib);
		startmenulib = NULL;
	}
}

