
#ifndef __STRTMENUSTRTMENU
#define __STRTMENUSTRTMENU

#include <windows.h>

#define HKCU HKEY_CURRENT_USER
#define HKLM HKEY_LOCAL_MACHINE

typedef struct struct_listmenu
{
	HMENU menu;
} *ListMenu;

typedef long (CALLBACK *LoadRegType)(HKEY, LPSTR, LPSTR, LPVOID, unsigned long);
typedef bool (CALLBACK *SaveRegType)(HKEY, LPSTR, LPSTR, LPVOID, long, long);
typedef bool (CALLBACK *DelRegType)(HKEY, LPSTR, LPSTR);
typedef DWORD (CALLBACK *DoDefaultPrefsDialogType)(HWND win, UINT msg, WPARAM, LPARAM, LPSTR, LPSTR helpfile, DWORD *helptab);

extern bool LoadStartMenuLib(void);
extern void ReleaseStartMenuLib(void);

extern LoadRegType LoadReg;
extern SaveRegType SaveReg;

extern DoDefaultPrefsDialogType DoDefaultPrefsDialog;

extern HMODULE startmenulib;

#endif

/*
DWORD DoDefaultPrefsDialog(HWND, UINT, WPARAM, LPARAM, LPSTR, LPDWORD)
	
	First four args are standard window parsing args passes along to do the grunt work of
	skinning the prefs window.
	
	To get group boxes skinned you have to edit the resource script and substitute CONTROL for 
	GROUPBOX, and add "Static", SS_OWNERDRAW, after the control id.

	Ex. 
		GROUPBOX   "Current Desktop Hotkey",IDC_STATIC0,17,87,96,36	
		
		  to:

		CONTROL   "Current Desktop Hotkey",IDC_STATIC0,"Static", SS_OWNERDRAW, 17,87,96,36

	Note the use of IDC_STATIC0, instead of just plain IDC_STATIC, owner drawn controls need
	individual ids to keep Windows happy.

	Fifth arg is the name of the Module, this is used for searching registry for text substitutions, colour settings.
	
	Sixth arg is a DWORD array, organized in pairs, ending in two 0's, 
	first of each pair is a control id, second of each pair is a help id.
	Used in calls to WinHelp().  Property sheet help is called automatically.

long LoadReg(HKEY, LPSTR, LPSTR, LPVOID, unsigned long)
	
	First arg is one of the predefined values used by the system for defining system registry 
	branches, such as HKEY_CURRENT_USER 

	Second arg is a path to a registry key under the first arg.

	Third arg is a name of a value to access in the registry key specified by the second arg.

	Fouth arg is a generic pointer to some allocated bit of ram.

	Fifth arg is the size of the memory object pointed to by the fourth arg.

	Return value is the size of the object found, or memory filled.


bool SaveReg(HKEY, LPSTR, LPSTR, LPVOID, long, long)
	
	First 4 args are the same as LoadKey.

	Fifth arg is the type of registry entry to set.

	Sixth arg is the size of the data being passes in the pointer.


bool DelReg(HKEY, LPSTR, LPSTR)

	See first 3 args of LoadReg or SaveReg.

	The registry value/key being referenced is removed from the registry.
*/


